Bug 961677 - [RFE] ovirt-engine URI rework
Summary: [RFE] ovirt-engine URI rework
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Alon Bar-Lev
QA Contact: sefi litmanovich
URL:
Whiteboard: integration
Keywords: FutureFeature, Improvement
Depends On: 1031597 1038952
Blocks: 1057367
TreeView+ depends on / blocked
 
Reported: 2013-05-10 09:07 UTC by Alon Bar-Lev
Modified: 2017-02-07 15:27 UTC (History)
13 users (show)

(edit)
Clone Of:
: 1057367 (view as bug list)
(edit)
Last Closed: 2014-03-31 15:06:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20473 None None None Never
oVirt gerrit 20557 None None None Never
oVirt gerrit 20784 None None None Never
oVirt gerrit 20785 None None None Never
oVirt gerrit 20786 None None None Never
oVirt gerrit 20787 None None None Never
oVirt gerrit 20789 None None None Never
oVirt gerrit 20791 None None None Never
oVirt gerrit 21566 None None None Never
Red Hat Bugzilla 1415497 None CLOSED virt-who doesn't work with rhev4 out of box 2019-06-13 09:40 UTC

Internal Trackers: 1415497

Description Alon Bar-Lev 2013-05-10 09:07:22 UTC
BACKGROUND

Work toward ovirt-engine product to be more administrator's user friendly.

CURRENT IMPLEMENTATION

We assume that we are the only application installed on the host, we hijack the root URI for our use.

This reduce the ability of administrator to share the web configuration with other products.

We already are in better shape, as per ovirt-engine-3.3 we intercept only our own URIs, but these are too generic, and creates a complex apache configuration.

SUGGESTED IMPLEMENTATION

Move all our resources into /ovirt-engine URI namespace.

Caveats:

The following must remain at root as part of ovirt-node-interface, but should be also available under /ovirt-engine/ to allow migration path.
- /engine.ssh.key.txt
- /rhevm.ssh.key.txt
- /ca.crt

The following will be redirected by apache:

/api -> /ovirt-engine/api

So applications will be able to use /api for legacy and /ovirt-engine/api

I also suggest to have shortcuts for redirection for future compatibility of user's bookmarks

/ovirt-engine/userportal -> <whatever>
/ovirt-engine/admin -> <whatever>

While we at it, if we can split the static content and dynamic content URI namespaces it will help us to split the application or cache the content.

/ovirt-engine/<application/static/xxx
/ovirt-engine/<application/dynamic/xxx

BACKWARD COMPATIBILITY

Only if absolutely required! I don't think so.

We install a redirection within apache as a separate configuration during upgrade to redirect the old URIs into the new. This will not be installed when installing from scratch.

Comment 7 Sandro Bonazzola 2014-01-13 13:57:19 UTC
oVirt 3.4.0 alpha has been released including the fix for this issue.

Comment 8 sefi litmanovich 2014-03-10 12:49:43 UTC
Verified on ovirt-3.4.0-beta3

Re-direct from /api to /ovirt-engine/api is checked in all automation testing intrinsically.

added basic Test Plan for sanity and change effect on ovirt-node host registration will be implemented on ovirt-node testing.

Comment 9 Sandro Bonazzola 2014-03-31 15:06:02 UTC
This is an automated message: moving to Closed CURRENT_RELEASE since oVirt 3.4.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.